#include "main.h"
#include "bsp_time.h"
#include "hal_ble_client.h"
#include "hal_ble_host.h"
#include "nrf_delay.h"
#include "hal_dfu.h"

extern void PRE_Init(void);
extern void USR_Init(void);
extern void USR_Process(void);
 
int main(void)
{
#if BLE_DFU_ENANBLE
    hal_dfu_init();
#endif

    PRE_Init(); //ûʼ

#if BLE_DFU_ENANBLE
    hal_dfu_server_init();
#endif
    USR_Init(); //ûʼ
	  
    while (1)
    {			
        USR_Process();
    }
}
